MakeMCEverestEngine< RNG, S > Class Template Reference

Monte Carlo Everest-option engine factory. More...

`#include <ql/experimental/exoticoptions/mceverestengine.hpp>`

## Public Member Functions

| MakeMCEverestEngine (const boost::shared_ptr< StochasticProcessArray > &)
MakeMCEverestEngine & | withSteps (Size steps)
MakeMCEverestEngine & | withStepsPerYear (Size steps)
MakeMCEverestEngine & | withBrownianBridge (bool b=true)
MakeMCEverestEngine & | withAntitheticVariate (bool b=true)
MakeMCEverestEngine & | withSamples (Size samples)
MakeMCEverestEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCEverestEngine & | withMaxSamples (Size samples)
MakeMCEverestEngine & | withSeed (BigNatural seed)
| operator boost::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCEverestEngine< RNG, S >

Monte Carlo Everest-option engine factory.